JonasWebSubTask.JonasVersionTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.objectweb.jonas.web.JonasWebSubTask.JonasVersionTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.objectweb.jonas.web
Class JonasWebSubTask.JonasVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.objectweb.jonas.web.JonasWebSubTask.JonasVersionTypes

Enclosing class:
  JonasWebSubTask

public static class JonasWebSubTask.JonasVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

JonasVersionTypes class.

Author:
  Andrew Stevens
created
  03 October 2002

Field Summary
`static String` | `DEFAULT_VERSION`
`static String` | `VERSION_2_6`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JonasWebSubTask.JonasVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the possible values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_2_6

    public static final String VERSION_2_6

See Also:
  Constant Field Values

### DEFAULT_VERSION

    public static final String DEFAULT_VERSION

See Also:
  Constant Field Values

Constructor Detail

### JonasWebSubTask.JonasVersionTypes

    public JonasWebSubTask.JonasVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the possible values.

  Returns:
    The possible values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD